
import { NavSection } from './types';
import { HomeIcon, BookOpenIcon, CogIcon, PuzzleIcon, CodeBracketIcon, LinkIcon, SparklesIcon } from './components/Icons';

export const NAV_LINKS: NavSection[] = [
  {
    title: 'Overview',
    links: [
      { path: '/', label: 'Home', icon: HomeIcon },
      { path: '/introduction', label: 'Introduction', icon: BookOpenIcon },
      { path: '/core-concepts', label: 'Core Concepts', icon: PuzzleIcon },
    ],
  },
  {
    title: 'API Reference',
    links: [
      { path: '/api/value', label: 'Value', icon: CodeBracketIcon },
      { path: '/api/table', label: 'Table', icon: CodeBracketIcon },
      { path: '/api/map', label: 'Map', icon: CodeBracketIcon },
      { path: '/api/computed', label: 'Computed', icon: CodeBracketIcon },
      { path: '/api/observer', label: 'Observer', icon: CodeBracketIcon },
      { path: '/api/watch', label: 'Watch', icon: CodeBracketIcon },
      { path: '/api/effect', label: 'Effect', icon: CodeBracketIcon },
      { path: '/api/reaction', label: 'Reaction', icon: CodeBracketIcon },
      { path: '/api/reactor', label: 'Reactor', icon: CogIcon },
      { path: '/api/compose', label: 'Compose', icon: SparklesIcon },
      { path: '/api/utilities', label: 'Utilities', icon: CodeBracketIcon },
      { path: '/api/symbols', label: 'Symbols', icon: LinkIcon },
    ],
  },]