
import React from 'react';

export interface NavLinkItem {
  path: string;
  label: string;
  icon?: React.FC<React.SVGProps<SVGSVGElement>>; // Changed from JSX.Element
}

export interface NavSection {
  title: string;
  links: NavLinkItem[];
}

export interface ApiDocEntry {
  signature: string;
  description: string | React.ReactNode;
  parameters?: { name: string; type: string; description: string }[];
  returns?: { type: string; description: string };
  example: string;
  notes?: string;
}

export interface ApiSection {
  title: string;
  description?: string;
  entries: ApiDocEntry[];
}